Subject: bug#39883: closed (Re: bug#39883: 28.0.50; macOS blank frame)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Mar 2020 17:17:02 +0000

Your bug report

#39883: 28.0.50; macOS blank frame

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39883: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39883
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39883: 28.0.50; macOS blank frame
From: Alan Third <[email-masked]>
To: Philippe Spiesser <[email-masked]>
Cc: [email-masked]
Date: Thu, 5 Mar 2020 18:16:37 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Mar 05, 2020 at 11:37:24AM +0100, Philippe Spiesser wrote:
> Le 04/03/2020 à 21:56, Alan Third a écrit :
> > On Wed, Mar 04, 2020 at 01:18:03PM +0100, Philippe Spiesser wrote:
> > > I rebuild Emacs this morning with last commits, but now, no window is
> > > displayed and Emacs crashes. I join the trace at this mail.
> > Thanks for trying it, I think I know what I’ve done wrong.
> > 
> > I’ve pushed another change to master, can you please try again?
> 
> Again, I rebuild Emacs and now, you thought right, this problem is solved.

Thanks for the confirmation. I’ll close this bug report now.
-- 
Alan Third

Subject: 28.0.50; macOS blank frame
From: Philippe Spiesser <[email-masked]>
To: [email-masked]
Date: Tue, 3 Mar 2020 10:42:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello

Every week, after updating local repositories (git pull), I build Emacs 
27.0.60 and
Emacs 28.0.50.
Since the 14 of February 2020, everything is OK with Emacs 27.0.60 but
Emacs 28 starts in a window with a blank frame without displaying any
character. Keyboard is active and I quit with Ctrl-x Ctrl-c.

Yet, everything is Ok when running same Emacs 28 in a terminal with command
.../Emacs.app/Contents/MacOS/Emacs -nw

On the other hand, everything is OK with Emacs 27.0.50

Thinking that it was a macOS problem, I look at the log for the files
src/ns* and I downgrade the repository with the command
git checkout f674c905dc98a4617c40c4bc115462b4ad2ebfc2
and rebuild Emacs 28. So eveything is OK

I can't explain why updates after this commit cause this behavior.

In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin17.7.0, NS 
appkit-1561.61 Version 10.13.6 (Build 17G11023))
of 2020-03-02 built on spungen.home
Repository revision: f674c905dc98a4617c40c4bc115462b4ad2ebfc2
Repository branch: HEAD
Windowing system distributor 'Apple', version 10.3.1561
System Description: Mac OS X 10.13.6

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
Undo
Mark set
Undo
Making completion list...

Configured using:
'configure --prefix=/usr/local/Applications --with-ns=yes'

Configured features:
RSVG DBUS GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS
NS MODULES THREADS PDUMPER LCMS2 GMP

Important settings:
value of $LANG: fr_FR.UTF-8
locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
tooltip-mode: t
global-eldoc-mode: t
eldoc-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Load-path shadows:

None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
threads dbusbind kqueue cocoa ns lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 45019 7861)
(symbols 48 5930 1)
(strings 32 15241 1747)
(string-bytes 1 505908)
(vectors 16 10150)
(vector-slots 8 126077 6750)
(floats 8 19 44)
(intervals 56 208 0)
(buffers 1000 12))

-- 

	Philippe Spiesser